import React from 'react';
import type { DataServiceLocator } from 'mongodb-data-service/provider';
import { useChangeQueryBarQuery, useQueryBarQuery } from './components/hooks';
import QueryBarComponent from './components/query-bar';
declare const QueryBarPlugin: import("hadron-app-registry").HadronPluginComponent<import("@mongodb-js/compass-collection").CollectionTabPluginMetadata, {
    dataService: DataServiceLocator<"sample" | "getConnectionString">;
    instance: (this: any) => import("mongodb-instance-model").MongoDBInstance;
    preferences: typeof import("compass-preferences-model/provider").usePreferencesContext;
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    atlasAiService: () => import("@mongodb-js/compass-generative-ai/provider").AtlasAiService;
    atlasAuthService: () => import("@mongodb-js/atlas-service/provider").AtlasAuthService;
    favoriteQueryStorageAccess: () => import("@mongodb-js/my-queries-storage/provider").FavoriteQueryStorageAccess | undefined;
    recentQueryStorageAccess: () => import("@mongodb-js/my-queries-storage/provider").RecentQueryStorageAccess | undefined;
}>;
export type ChangeQueryBar = typeof useChangeQueryBarQuery;
export declare const QueryBar: React.FunctionComponent<React.ComponentProps<typeof QueryBarComponent>>;
export default QueryBarPlugin;
export { useChangeQueryBarQuery, useQueryBarQuery };
//# sourceMappingURL=index.d.ts.map